apiVersion: v1
kind: Service
metadata:
  name: fastapi-service
spec:
  type: LoadBalancer
  ports:
  - port: 80
    targetPort: 8000
  selector:
    app: fastapi-app
---
apiVersion: v1
kind: Service
metadata:
  name: fastapi-metrics
  namespace: sparkbeyond
  annotations:
    prometheus.io/scrape: 'true'
    prometheus.io/port: '8001'
spec:
  selector:
    app: fastapi-app
  ports:
    - name: metrics
      port: 8001
      targetPort: 8001
---
apiVersion: v1
kind: Service
metadata:
  name: redis
spec:
  ports:
  - port: 6379
    targetPort: 6379
  selector:
    app: redis



